Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class DeleteOutsideIntervalEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
              info.bioinfweb.treegraph.document.undo.edit.DeleteOutsideIntervalEdit

All Implemented Interfaces:
  UndoableEdit

    public class DeleteOutsideIntervalEdit

extends NodeBranchDataEdit

Since:
  2.0.24
Author:
  Ben Stöver

Field Summary
`private double` | `lowerBorder`
`private double` | `upperBorder`

Fields inherited from class info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
`adapter, backup`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`DeleteOutsideIntervalEdit(Document document, NodeBranchDataAdapter adapter, double lowerBorder, double upperBorder)`

Method Summary
`private void` | `deleteOutsideIntervalSubtree(Node root)`
`String` | `getPresentationName()`
`void` | `redo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
`undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lowerBorder

    private double lowerBorder

### upperBorder

    private double upperBorder

Constructor Detail

### DeleteOutsideIntervalEdit

    public DeleteOutsideIntervalEdit(Document document,
                                     NodeBranchDataAdapter adapter,
                                     double lowerBorder,
                                     double upperBorder)

Method Detail

### deleteOutsideIntervalSubtree

    private void deleteOutsideIntervalSubtree(Node root)

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `CannotRedoException`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD